Subject: bug#69287: 30.0.50; Pasting text from KDE clipboard sometimes crashes Emacs

From: Po Lu <[email-masked]>
Date: Wed, 21 Feb 2024 09:56:39 +0800

David Ponce <[email-masked]> writes:

> Hello,
>
> While working in Emacs, I often paste text from the 'KDE clipboard popup
> menu at mouse position' into the *scratch* buffer, and sometimes this
> crashes Emacs, but not systematically.
>
> Since a few days I run Emacs under GDB, and I managed to get the
> attached backtrace.
>
> Please, eventually let me know how I can help to get more useful details
> when another crash will happen.
>
> Thanks.

I suspect invalid Lisp objects are being recorded into one of several
lists that hold temporary data during selection conversion.  Please
build Emacs with --enable-checking and post a backtrace from there.